
%define name	kvdrmon
%define version	0.6
%define rel	2

Summary:	KDE kicker applet for monitoring VDR activities
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://vdr-statusleds.sourceforge.net/kvdrmon/
Source:		http://prdownloads.sourceforge.net/vdr-statusleds/%name-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel ImageMagick chrpath

%description
This is a KDE kicker applet for monitoring VDR activities.

%prep
%setup -q

%build
%configure2_5x \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

chrpath -d %{buildroot}%{_bindir}/kvdrmon

# incorrect info
rm -f %{buildroot}%{_datadir}/applnk/Utilities/kvdrmon.desktop

install -d -m755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%name): \
	needs="x11" \
	section="Multimedia/Video" \
	title="Kvdrmon" \
	longtitle="VDR monitor" \
	command="%{_bindir}/kvdrmon" \
	icon="kvdrmon.png" \
	xdg="true"
EOF

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=Kvdrmon
GenericName=VDR Monitor
Exec=%{_bnidir}/kvdrmon
Icon=kvdrmon
Terminal=false
Type=Application
Categories=AudioVideo;Video;X-MandrivaLinux-Multimedia-Video;
EOF

install -d -m755 %{buildroot}%{_iconsdir}
install -d -m755 %{buildroot}%{_miconsdir}
install -d -m755 %{buildroot}%{_liconsdir}

convert %{buildroot}%{_datadir}/icons/crystalsvg/22x22/apps/kvdrmon.png -resize 16x16 %{buildroot}%{_miconsdir}/kvdrmon.png
convert %{buildroot}%{_datadir}/icons/crystalsvg/22x22/apps/kvdrmon.png -resize 32x32 %{buildroot}%{_iconsdir}/kvdrmon.png
convert %{buildroot}%{_datadir}/icons/crystalsvg/22x22/apps/kvdrmon.png -resize 48x48 %{buildroot}%{_liconsdir}/kvdrmon.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README
%{_bindir}/kvdrmon
%{_datadir}/apps/kvdrmon
%{_docdir}/HTML/*/kvdrmon
%{_datadir}/icons/*/*/*/kvdrmon.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Sat Sep 01 2007 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2008.0
+ Revision: 77448
- make "VDR Monitor" a GenericName instead of a Comment in desktop entry
- Import kvdrmon



* Wed Jul 12 2006 Anssi Hannula <anssi@mandriva.org> 0.6-1mdv2007.0
- initial Mandriva release
